| pandoc-1.5.1.1: Conversion between markup formats | Source code | Contents | Index

Text.Pandoc.Writers.S5

Portability | portable
Stability | alpha
Maintainer | John MacFarlane <jgm@berkeley.edu>

Contents

Header includes
Functions

Description
Definitions for creation of S5 powerpoint-like HTML. (See http://meyerweb.com/eric/tools/s5/.)
Synopsis

s5HeaderIncludes :: Maybe FilePath -> IO String
s5Links :: String
writeS5 :: WriterOptions -> Pandoc -> Html
writeS5String :: WriterOptions -> Pandoc -> String
insertS5Structure :: Pandoc -> Pandoc

Header includes

s5HeaderIncludes :: Maybe FilePath -> IO String | Source

s5Links :: String | Source

Functions

writeS5 :: WriterOptions -> Pandoc -> Html | Source

Converts Pandoc document to an S5 HTML presentation (Html structure).

writeS5String :: WriterOptions -> Pandoc -> String | Source

Converts Pandoc document to an S5 HTML presentation (string).

insertS5Structure :: Pandoc -> Pandoc | Source

Insert blocks into `Pandoc` for slide structure.
Produced by Haddock version 2.4.2